using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Usuarios
{
    public class UpdatePermisoDto
    {
        [Required(ErrorMessage = "El módulo es obligatorio.")]
        [StringLength(50, ErrorMessage = "El módulo no puede exceder los 50 caracteres.")]
        public string Modulo { get; set; } = string.Empty;

        [Required(ErrorMessage = "La descripción del permiso es obligatoria.")]
        [StringLength(150, ErrorMessage = "La descripción no puede exceder los 150 caracteres.")]
        public string DescPermiso { get; set; } = string.Empty;

        [Required(ErrorMessage = "El código de acceso es obligatorio.")]
        [StringLength(10, ErrorMessage = "El código de acceso no puede exceder los 10 caracteres.")]
        public string CodAcc { get; set; } = string.Empty;
    }
}